Subject: Re: [bug#38746] [PATCH] gnu: emacs-shroud: Update to 1.105.

From: Efraim Flashner <[email-masked]>
Date: Thu, 26 Dec 2019 08:30:00 +0200

On Thu, Dec 26, 2019 at 03:58:19AM +0000, Amar M. Singh wrote:
> 
> Dec 25, 2019 9:42:15 PM Amar M. Singh :
> 
> >
> > New in this release:
> > 1. Now uses Gnu build system, aka Autotools.
> > 2. Comes with Texinfo documentation.
> >
> 
> Hi Amar,
> 
> I am looking at this on my phone, so I might be wrong but it looks like the change to the gnu-build-system is not accompanied by any arguments installing any byte-compiled elc files to the emacs site-lisp. Did you test this change? Are the elc files getting installed? If so, how? Normally we have to work around this issue with mixing gnu and Emacs build system phases. Also, things like autoconf and automake are implicit in the gnu build system and are not needed.
> 

tree /gnu/store/0m5irk4q5hf3pw2ral0gv9y51qic7m9x-emacs-shroud-1.83.4
/gnu/store/0m5irk4q5hf3pw2ral0gv9y51qic7m9x-emacs-shroud-1.83.4
└── share
    ├── doc
    │   └── emacs-shroud-1.83.4
    │       └── COPYING
    └── emacs
        └── site-lisp
            ├── shroud-autoloads.el
            ├── shroud-bui.el
            ├── shroud-bui.elc
            ├── shroud-cli.el
            ├── shroud-cli.elc
            ├── shroud.el
            ├── shroud.elc
            ├── shroud-el.el
            └── shroud-el.elc

tree /gnu/store/j0wmnl8gyzf4qwpxlml7hlvqpdzsw7p6-emacs-shroud-1.105
/gnu/store/j0wmnl8gyzf4qwpxlml7hlvqpdzsw7p6-emacs-shroud-1.105
└── share
    ├── doc
    │   ├── emacs-shroud
    │   │   ├── emacs-shroud.html
    │   │   └── README
    │   └── emacs-shroud-1.105
    │       └── COPYING
    ├── emacs
    │   └── site-lisp
    │       ├── shroud-bui.el
    │       ├── shroud-bui.elc
    │       ├── shroud-cli.el
    │       ├── shroud-cli.elc
    │       ├── shroud.el
    │       ├── shroud.elc
    │       ├── shroud-el.el
    │       └── shroud-el.elc
    └── info
        └── emacs-shroud.info.gz

> 
> Hi Brett,
> 
> I am using autoconf macro 'dist_lisp_LISP' in src/Makefile.am which will install '.el' files. Autotools are automatically detecting and installing '.elc' files from 'lisp_LISP' variable.
> 

I'm not an emacs user, do we need shroud-autoloads.el to be installed
also?

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted